Subject: bug#6416: next-error mis-highlights ocaml error message locations

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 26 Aug 2021 20:30:13 +0200

Jacques Le Normand <[email-masked]> writes:

> I apologize, the numbers in the example were erroneous. Take this example
> instead:
>
> let foo: int = 
>   "foo"
>   ^
>     "bar"
>
> gives the error:
> File "/home/palomer/temp/test.ml", line 2, characters 2-21:
>
> ocamlc starts counting at 0. it counts newlines and tabs as 1. I obtained these
> results empirically.  The previous example means:
> "the third character from the start of line 2 to the 22nd character from the
> start of line 2"
>
> I've filed a bug report with ocaml developers (and have even suggested a
> simple fix.) I can't say how inclined they will be to fix it. The bug id is
> 0005070. The mantis url is http://caml.inria.fr/mantis/

(I'm going through old bug reports that unfortunately weren't
resolved at the time.)

I'm not very familiar with ocaml, but I tried this recipe in Emacs 28 on
Debian/bullseye (so I guess a pretty new ocamlc), and it seems like it's
doing the right thing now?

Is this working as expected now?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no